<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="Test">

	<resultMap id="commonResultMap" type="hashMap"></resultMap>
	
	<select id="Test.getTest" statementType="CALLABLE" parameterType="hashMap" resultType="hashMap">
        {call TEST_API.getTest(
        #{userid, jdbcType=VARCHAR, javaType=string, mode=IN},
        #{result, jdbcType=CURSOR, javaType=java.sql.ResultSet, resultMap=commonResultMap, mode=OUT}
        )}
	</select>

</mapper>
